//Autore: Giuliano Pellegrini Parisi

//Data: 3 dicembre 2008

//Classe: 3^Sirio Inf.

//Oggetto: Implementazione progetto calcolo perimetro di un trapezio rettangolo

//Release: 0.1

using fbblAcquisizioni;
using fbblControlli;
using fbblGeometriaPiana;
using fbblMessaggi;

    class EsecuzioneProgramma
    {

        static void Main(string[] args)
        {

            double BaseMaggiore;
            double BaseMinore;
            double Altezza;
            double Perimetro;
            bool ControlloOK;


            do
            {
                BaseMinore = StrumentiAcquisizioni.AcquisizioneDatoReale("Inserisci la base minore ->");
                BaseMaggiore = StrumentiAcquisizioni.AcquisizioneDatoReale("Inserisci la base maggiore ->");
                Altezza = StrumentiAcquisizioni.AcquisizioneDatoReale("Inserisci l'altezza ->");

                StrumentiControlli.ControlloMaggioreOUguale(BaseMaggiore,BaseMinore,out ControlloOK);

                if (ControlloOK==false)
                {
                    StrumentiMessaggi.MessaggioMaggioreOUguale("Base maggiore","Base minore");  
                }


            } while (ControlloOK==false);

            Perimetro = StrumentiGeometriaPiana.PerimetroTrapezioRettangolo(BaseMaggiore,BaseMinore,Altezza);

            StrumentiMessaggi.MessaggioDatoCalcolato("Il perimetro del trapezio rettangolo vale: ",Perimetro);

            StrumentiMessaggi.Messaggio("Premere un tasto per chiudere il programma.",true);

            StrumentiAcquisizioni.AttesaPressioneTasto();


        }


    }

